Skip to main content
GET
/
reimbursement_line_items
List reimbursement line items
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/reimbursement_line_items \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "reimbursement_line_item",
      "data": {
        "pay_stub": {
          "id": "<id>",
          "object": "pay_stub",
          "links": {
            "self": "/pay_stubs/<id>"
          }
        },
        "line_item_type": "reimbursement",
        "is_managed": false,
        "amount": 35,
        "custom_amount": null,
        "managed_amount": 35,
        "accrued_vacation_pay": 0,
        "reimbursement_type": {
          "id": "<id>",
          "object": "reimbursement_type",
          "data": {
            "type": "non_taxable_reimbursement",
            "label": "Non-Taxable Reimbursement"
          },
          "links": {
            "self": "/reimbursement_types/non_taxable_reimbursement"
          }
        },
        "recurrence": null,
        "title": null,
        "title_translations": null,
        "title_translated": null,
        "business_preset": null,
        "source_adjustment": null,
        "expense_accounting_code": null,
        "managed_expense_accounting_code": null,
        "custom_expense_accounting_code": null,
        "liability_accounting_code": null,
        "managed_liability_accounting_code": null,
        "custom_liability_accounting_code": null,
        "component_settings": {
          "attributes_locked": false
        },
        "earned_on": null,
        "managed_earned_on": null,
        "custom_earned_on": null,
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/reimbursement_line_items/<id>"
      }
    }
  ],
  "links": {
    "first": "/reimbursement_line_items?pay_stub_id=<id>&page=1",
    "last": "/reimbursement_line_items?pay_stub_id=<id>&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pay_stub_id
string
payroll_id
string
payroll_status
enum<string>
Available options:
approved,
draft,
failed,
paid,
partially_paid,
processing
payroll_type
enum<string>
Available options:
correction,
historical,
off_cycle,
regular
payroll_period_start
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_period_start=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: payroll_period_start[gte]=2024-01-01&payroll_period_start[lt]=2024-12-31
payroll_period_end
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_period_end=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: payroll_period_end[gte]=2024-01-01&payroll_period_end[lt]=2024-12-31
payroll_pay_date
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_pay_date=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: payroll_pay_date[gte]=2024-01-01&payroll_pay_date[lt]=2024-12-31
pay_schedule_id
string
work_assignment_id
string
employee_id
string
contractor_id
string
business_entity_id
string
has_business_preset
boolean
business_preset_id
string
include_types
enum<string>
Available options:
health_spending_account,
non_taxable_reimbursement,
professional_membership,
taxable_reimbursement,
transit_pass,
wellness_spending_account
exclude_types
enum<string>
Available options:
health_spending_account,
non_taxable_reimbursement,
professional_membership,
taxable_reimbursement,
transit_pass,
wellness_spending_account
external_ref
string
earned_on
object

Only return line items with an earned_on date matching the filter.

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: earned_on=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: earned_on[gte]=2024-01-01&earned_on[lt]=2024-12-31
expand
enum<string>[]
Available options:
business_preset,
custom_expense_accounting_code,
custom_liability_accounting_code,
custom_tag_assignment,
expense_accounting_code,
liability_accounting_code,
managed_expense_accounting_code,
managed_liability_accounting_code,
managed_tag_assignment,
pay_stub,
recurrence,
source_adjustment,
tag_assignment,
tag_assignment_amounts

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]